package com.ssj.dao.sys.award.dao;

import com.ssj.bean.award.dto.VipIntegralDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface AwardQueryDao {

    /**
	 * 
	 * 新版抽奖活动 
	 * 2020年5月27日10:28:11
	 * 
	 */
	
	//查询奖品物资列表
    public Page<Map<String, Object>> findAwardMaterialBylist(Map<String, Object> searchParams, Pageable pageable);
    
	//查询活动列表
    public Page<Map<String, Object>> findAwardActivityBylist(Map<String, Object> searchParams, Pageable pageable);
    
    //发放列表
    public Page<Map<String, Object>> findAwardGrantBylist(Map<String, Object> searchParams, Pageable pageable);
	   
    //奖品消耗记录
    public Page<Map<String, Object>> findAwardConsumeBylist(Map<String, Object> searchParams, Pageable pageable);
	 
    //指定奖品消耗记录
    public Page<Map<String, Object>> findAwardConsumeByAwardMaterial(Map<String, Object> searchParams,Pageable pageable);
    
    //指定奖品code使用记录
    public Page<Map<String, Object>> findAwardSncodeBylist(Map<String, Object> searchParams, Pageable pageable);
    
    //库存的列表记录
    public Page<Map<String, Object>> findAwardStockBylist(Map<String, Object> searchParams, Pageable pageable);
    
    public Page<Map<String, Object>> findAwardActivityLogBylist(Map<String, Object> searchParams, Pageable pageable);
    
    public Page<Map<String, Object>> findAwardSncodeByVipList(Map<String, Object> searchParams, Pageable pageable);


    Page<VipIntegralDto> userIntegralList(Map<String, Object> params, Pageable pageable);
    
    
	public List<Map<String, Object>>  getAwardActivityMapByMerchantId(String merchantId,Integer status);
    
}
